import onClicked from './callbacks/contextMenus/onClicked';
import onInstalled from './callbacks/runtime/onInstalled';
import onStartup from './callbacks/runtime/onStartup';
import onBeforeRequest from './callbacks/webRequest/onBeforeRequest';
import onErrorOccurred from './callbacks/webRequest/onErrorOccurred';

chrome.contextMenus.onClicked.addListener(onClicked);
chrome.runtime.onInstalled.addListener(onInstalled);
chrome.runtime.onStartup.addListener(onStartup);
chrome.webRequest.onBeforeRequest.addListener(onBeforeRequest as any, { urls: ['<all_urls>'] });
chrome.webRequest.onErrorOccurred.addListener(onErrorOccurred, { urls: ['<all_urls>'] });
